function Stack(){
    this.data = [];
    this.push = push;        //添一个或多个元素到栈顶
    this.pop = pop;          //移除栈顶的元素，同时返回被移除的元素
    this.peek = peek;        //返回被移除的元素
    this.isEmpty = isEmpty;  //判断栈是否为空，空返回true，否则返回false
    this.clear =clear;       //移除栈里的所有元素
    this.length = length;        //返回栈内元素的个数
    this.init = init;
    function push(ele){
        this.data.push(ele);
    };
    function pop(){
        return this.data.pop();  //利用数组的pop()方法来达到移除栈顶的元素，同时返回被移除的元素
    };
    function peek(){
        return this.data[this.data.length-1]
    };
    function isEmpty(){
        return this.data.length == 0;
    };
    function length(){
        return this.data.length;
    };
    function clear(){
        this.data = [];
    };
    function init(data){
        this.data = data;
    };
};



Date.prototype.format = function(format){
    var o = {
        "M+" : this.getMonth()+1, //month
        "d+" : this.getDate(), //day
        "h+" : this.getHours(), //hour
        "m+" : this.getMinutes(), //minute
        "s+" : this.getSeconds(), //second
        "q+" : Math.floor((this.getMonth()+3)/3), //quarter
        "S" : this.getMilliseconds() //millisecond
    }

    if(/(y+)/.test(format)) {
        format = format.replace(RegExp.$1, (this.getFullYear()+"").substr(4 - RegExp.$1.length));
    }

    for(var k in o) {
        if(new RegExp("("+ k +")").test(format)) {
            format = format.replace(RegExp.$1, RegExp.$1.length==1 ? o[k] : ("00"+ o[k]).substr((""+ o[k]).length));
        }
    }
    return format;
}